org.appng.core.repository

## Interface PropertyRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<PropertyImpl,String>, org.springframework.data.jpa.repository.JpaRepository<PropertyImpl,String>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<PropertyImpl>, org.springframework.data.repository.PagingAndSortingRepository<PropertyImpl,String>, org.springframework.data.repository.query.QueryByExampleExecutor<PropertyImpl>, org.springframework.data.repository.Repository<PropertyImpl,String>, SearchRepository<PropertyImpl,String>

      public interface PropertyRepository
      extends SearchRepository<PropertyImpl,String>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `countByActualStringAndNameLike(String value, String name)`
    `PropertyImpl` | `findByName(String name)`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

- - ### Method Detail

    - #### findByName

          PropertyImpl findByName(String name)

    - #### countByActualStringAndNameLike

          Integer countByActualStringAndNameLike(String value,
                                                 String name)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.